/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 * Program WebSite: http://methane.sourceforge.net/index.html              *
 *                                                                         *
 ***************************************************************************/

//------------------------------------------------------------------------------
// Maps Header File
//------------------------------------------------------------------------------

#ifndef _MDF_H
#define _MDF_H 1

#define MAPD_START_NUMBER	3000

#define MAPD_MAP_1		3000
#define MAPD_MAP_10		3001
#define MAPD_MAP_11		3002
#define MAPD_MAP_12		3003
#define MAPD_MAP_13		3004
#define MAPD_MAP_14		3005
#define MAPD_MAP_15		3006
#define MAPD_MAP_16		3007
#define MAPD_MAP_17		3008
#define MAPD_MAP_17S		3009
#define MAPD_MAP_18		3010
#define MAPD_MAP_19		3011
#define MAPD_MAP_1A		3012
#define MAPD_MAP_1B		3013
#define MAPD_MAP_1BS		3014
#define MAPD_MAP_1C		3015
#define MAPD_MAP_1D		3016
#define MAPD_MAP_1E		3017
#define MAPD_MAP_1F		3018
#define MAPD_MAP_2		3019
#define MAPD_MAP_20		3020
#define MAPD_MAP_21		3021
#define MAPD_MAP_22		3022
#define MAPD_MAP_23		3023
#define MAPD_MAP_24		3024
#define MAPD_MAP_25		3025
#define MAPD_MAP_26		3026
#define MAPD_MAP_27		3027
#define MAPD_MAP_28		3028
#define MAPD_MAP_29		3029
#define MAPD_MAP_2A		3030
#define MAPD_MAP_2AS		3031
#define MAPD_MAP_2B		3032
#define MAPD_MAP_2C		3033
#define MAPD_MAP_2D		3034
#define MAPD_MAP_2E		3035
#define MAPD_MAP_2F		3036
#define MAPD_MAP_3		3037
#define MAPD_MAP_30		3038
#define MAPD_MAP_31		3039
#define MAPD_MAP_32		3040
#define MAPD_MAP_33		3041
#define MAPD_MAP_34		3042
#define MAPD_MAP_35		3043
#define MAPD_MAP_35S		3044
#define MAPD_MAP_36		3045
#define MAPD_MAP_37		3046
#define MAPD_MAP_38		3047
#define MAPD_MAP_39		3048
#define MAPD_MAP_3A		3049
#define MAPD_MAP_3B		3050
#define MAPD_MAP_3C		3051
#define MAPD_MAP_3D		3052
#define MAPD_MAP_3E		3053
#define MAPD_MAP_3F		3054
#define MAPD_MAP_3FS		3055
#define MAPD_MAP_4		3056
#define MAPD_MAP_40		3057
#define MAPD_MAP_41		3058
#define MAPD_MAP_42		3059
#define MAPD_MAP_43		3060
#define MAPD_MAP_44		3061
#define MAPD_MAP_45		3062
#define MAPD_MAP_46		3063
#define MAPD_MAP_47		3064
#define MAPD_MAP_48		3065
#define MAPD_MAP_49		3066
#define MAPD_MAP_49S		3067
#define MAPD_MAP_4A		3068
#define MAPD_MAP_4AS		3069
#define MAPD_MAP_4B		3070
#define MAPD_MAP_4C		3071
#define MAPD_MAP_4D		3072
#define MAPD_MAP_4E		3073
#define MAPD_MAP_4F		3074
#define MAPD_MAP_5		3075
#define MAPD_MAP_50		3076
#define MAPD_MAP_51		3077
#define MAPD_MAP_52		3078
#define MAPD_MAP_53		3079
#define MAPD_MAP_54		3080
#define MAPD_MAP_55		3081
#define MAPD_MAP_55S		3082
#define MAPD_MAP_56		3083
#define MAPD_MAP_57		3084
#define MAPD_MAP_58		3085
#define MAPD_MAP_59		3086
#define MAPD_MAP_5A		3087
#define MAPD_MAP_5B		3088
#define MAPD_MAP_5C		3089
#define MAPD_MAP_5D		3090
#define MAPD_MAP_5DS		3091
#define MAPD_MAP_5E		3092
#define MAPD_MAP_5F		3093
#define MAPD_MAP_6		3094
#define MAPD_MAP_60		3095
#define MAPD_MAP_61		3096
#define MAPD_MAP_62		3097
#define MAPD_MAP_63		3098
#define MAPD_MAP_64		3099
#define MAPD_MAP_65		3100
#define MAPD_MAP_66		3101
#define MAPD_MAP_67		3102
#define MAPD_MAP_68		3103
#define MAPD_MAP_69		3104
#define MAPD_MAP_6A		3105
#define MAPD_MAP_6B		3106
#define MAPD_MAP_6C		3107
#define MAPD_MAP_6D		3108
#define MAPD_MAP_6E		3109
#define MAPD_MAP_6F		3110
#define MAPD_MAP_6S		3111
#define MAPD_MAP_7		3112
#define MAPD_MAP_8		3113
#define MAPD_MAP_9		3114
#define MAPD_MAP_A		3115
#define MAPD_MAP_B		3116
#define MAPD_MAP_C		3117
#define MAPD_MAP_D		3118
#define MAPD_MAP_E		3119
#define MAPD_MAP_F		3120
#define MAPD_POS_1		3121
#define MAPD_POS_10		3122
#define MAPD_POS_11		3123
#define MAPD_POS_12		3124
#define MAPD_POS_13		3125
#define MAPD_POS_14		3126
#define MAPD_POS_15		3127
#define MAPD_POS_16		3128
#define MAPD_POS_17		3129
#define MAPD_POS_17S		3130
#define MAPD_POS_18		3131
#define MAPD_POS_19		3132
#define MAPD_POS_1A		3133
#define MAPD_POS_1B		3134
#define MAPD_POS_1BS		3135
#define MAPD_POS_1C		3136
#define MAPD_POS_1D		3137
#define MAPD_POS_1E		3138
#define MAPD_POS_1F		3139
#define MAPD_POS_2		3140
#define MAPD_POS_20		3141
#define MAPD_POS_21		3142
#define MAPD_POS_22		3143
#define MAPD_POS_23		3144
#define MAPD_POS_24		3145
#define MAPD_POS_25		3146
#define MAPD_POS_26		3147
#define MAPD_POS_27		3148
#define MAPD_POS_28		3149
#define MAPD_POS_29		3150
#define MAPD_POS_2A		3151
#define MAPD_POS_2AS		3152
#define MAPD_POS_2B		3153
#define MAPD_POS_2C		3154
#define MAPD_POS_2D		3155
#define MAPD_POS_2E		3156
#define MAPD_POS_2F		3157
#define MAPD_POS_3		3158
#define MAPD_POS_30		3159
#define MAPD_POS_31		3160
#define MAPD_POS_32		3161
#define MAPD_POS_33		3162
#define MAPD_POS_34		3163
#define MAPD_POS_35		3164
#define MAPD_POS_35S		3165
#define MAPD_POS_36		3166
#define MAPD_POS_37		3167
#define MAPD_POS_38		3168
#define MAPD_POS_39		3169
#define MAPD_POS_3A		3170
#define MAPD_POS_3B		3171
#define MAPD_POS_3C		3172
#define MAPD_POS_3D		3173
#define MAPD_POS_3E		3174
#define MAPD_POS_3F		3175
#define MAPD_POS_3FS		3176
#define MAPD_POS_4		3177
#define MAPD_POS_40		3178
#define MAPD_POS_41		3179
#define MAPD_POS_42		3180
#define MAPD_POS_43		3181
#define MAPD_POS_44		3182
#define MAPD_POS_45		3183
#define MAPD_POS_46		3184
#define MAPD_POS_47		3185
#define MAPD_POS_48		3186
#define MAPD_POS_49		3187
#define MAPD_POS_49S		3188
#define MAPD_POS_4A		3189
#define MAPD_POS_4AS		3190
#define MAPD_POS_4B		3191
#define MAPD_POS_4C		3192
#define MAPD_POS_4D		3193
#define MAPD_POS_4E		3194
#define MAPD_POS_4F		3195
#define MAPD_POS_5		3196
#define MAPD_POS_50		3197
#define MAPD_POS_51		3198
#define MAPD_POS_52		3199
#define MAPD_POS_53		3200
#define MAPD_POS_54		3201
#define MAPD_POS_55		3202
#define MAPD_POS_55S		3203
#define MAPD_POS_56		3204
#define MAPD_POS_57		3205
#define MAPD_POS_58		3206
#define MAPD_POS_59		3207
#define MAPD_POS_5A		3208
#define MAPD_POS_5B		3209
#define MAPD_POS_5C		3210
#define MAPD_POS_5D		3211
#define MAPD_POS_5DS		3212
#define MAPD_POS_5E		3213
#define MAPD_POS_5F		3214
#define MAPD_POS_6		3215
#define MAPD_POS_60		3216
#define MAPD_POS_61		3217
#define MAPD_POS_62		3218
#define MAPD_POS_63		3219
#define MAPD_POS_64		3220
#define MAPD_POS_65		3221
#define MAPD_POS_66		3222
#define MAPD_POS_67		3223
#define MAPD_POS_68		3224
#define MAPD_POS_69		3225
#define MAPD_POS_6A		3226
#define MAPD_POS_6B		3227
#define MAPD_POS_6C		3228
#define MAPD_POS_6S		3229
#define MAPD_POS_7		3230
#define MAPD_POS_8		3231
#define MAPD_POS_9		3232
#define MAPD_POS_A		3233
#define MAPD_POS_B		3234
#define MAPD_POS_C		3235
#define MAPD_POS_D		3236
#define MAPD_POS_E		3237
#define MAPD_POS_F		3238
#define MAPD_WND_1		3239
#define MAPD_WND_10		3240
#define MAPD_WND_11		3241
#define MAPD_WND_12		3242
#define MAPD_WND_13		3243
#define MAPD_WND_14		3244
#define MAPD_WND_15		3245
#define MAPD_WND_16		3246
#define MAPD_WND_17		3247
#define MAPD_WND_18		3248
#define MAPD_WND_19		3249
#define MAPD_WND_1A		3250
#define MAPD_WND_1B		3251
#define MAPD_WND_1C		3252
#define MAPD_WND_1D		3253
#define MAPD_WND_1E		3254
#define MAPD_WND_1F		3255
#define MAPD_WND_2		3256
#define MAPD_WND_20		3257
#define MAPD_WND_21		3258
#define MAPD_WND_22		3259
#define MAPD_WND_23		3260
#define MAPD_WND_24		3261
#define MAPD_WND_25		3262
#define MAPD_WND_26		3263
#define MAPD_WND_27		3264
#define MAPD_WND_28		3265
#define MAPD_WND_29		3266
#define MAPD_WND_2A		3267
#define MAPD_WND_2B		3268
#define MAPD_WND_2C		3269
#define MAPD_WND_2D		3270
#define MAPD_WND_2E		3271
#define MAPD_WND_2F		3272
#define MAPD_WND_3		3273
#define MAPD_WND_30		3274
#define MAPD_WND_31		3275
#define MAPD_WND_32		3276
#define MAPD_WND_33		3277
#define MAPD_WND_34		3278
#define MAPD_WND_35		3279
#define MAPD_WND_36		3280
#define MAPD_WND_37		3281
#define MAPD_WND_38		3282
#define MAPD_WND_39		3283
#define MAPD_WND_3A		3284
#define MAPD_WND_3B		3285
#define MAPD_WND_3C		3286
#define MAPD_WND_3D		3287
#define MAPD_WND_3E		3288
#define MAPD_WND_3F		3289
#define MAPD_WND_4		3290
#define MAPD_WND_40		3291
#define MAPD_WND_41		3292
#define MAPD_WND_42		3293
#define MAPD_WND_43		3294
#define MAPD_WND_44		3295
#define MAPD_WND_45		3296
#define MAPD_WND_46		3297
#define MAPD_WND_47		3298
#define MAPD_WND_48		3299
#define MAPD_WND_49		3300
#define MAPD_WND_4A		3301
#define MAPD_WND_4B		3302
#define MAPD_WND_4C		3303
#define MAPD_WND_4D		3304
#define MAPD_WND_4E		3305
#define MAPD_WND_4F		3306
#define MAPD_WND_5		3307
#define MAPD_WND_50		3308
#define MAPD_WND_51		3309
#define MAPD_WND_52		3310
#define MAPD_WND_53		3311
#define MAPD_WND_54		3312
#define MAPD_WND_55		3313
#define MAPD_WND_56		3314
#define MAPD_WND_57		3315
#define MAPD_WND_58		3316
#define MAPD_WND_59		3317
#define MAPD_WND_5A		3318
#define MAPD_WND_5B		3319
#define MAPD_WND_5C		3320
#define MAPD_WND_5D		3321
#define MAPD_WND_5E		3322
#define MAPD_WND_5F		3323
#define MAPD_WND_6		3324
#define MAPD_WND_60		3325
#define MAPD_WND_61		3326
#define MAPD_WND_62		3327
#define MAPD_WND_63		3328
#define MAPD_WND_64		3329
#define MAPD_WND_65		3330
#define MAPD_WND_66		3331
#define MAPD_WND_67		3332
#define MAPD_WND_68		3333
#define MAPD_WND_69		3334
#define MAPD_WND_6A		3335
#define MAPD_WND_6B		3336
#define MAPD_WND_6C		3337
#define MAPD_WND_7		3338
#define MAPD_WND_8		3339
#define MAPD_WND_9		3340
#define MAPD_WND_A		3341
#define MAPD_WND_B		3342
#define MAPD_WND_C		3343
#define MAPD_WND_D		3344
#define MAPD_WND_E		3345
#define MAPD_WND_F		3346
#define MAPD_FRK_1		3347
#define MAPD_FRK_10		3348
#define MAPD_FRK_11		3349
#define MAPD_FRK_12		3350
#define MAPD_FRK_13		3351
#define MAPD_FRK_14		3352
#define MAPD_FRK_15		3353
#define MAPD_FRK_16		3354
#define MAPD_FRK_17		3355
#define MAPD_FRK_18		3356
#define MAPD_FRK_19		3357
#define MAPD_FRK_1A		3358
#define MAPD_FRK_1B		3359
#define MAPD_FRK_1C		3360
#define MAPD_FRK_1D		3361
#define MAPD_FRK_1E		3362
#define MAPD_FRK_1F		3363
#define MAPD_FRK_2		3364
#define MAPD_FRK_20		3365
#define MAPD_FRK_21		3366
#define MAPD_FRK_22		3367
#define MAPD_FRK_23		3368
#define MAPD_FRK_24		3369
#define MAPD_FRK_25		3370
#define MAPD_FRK_26		3371
#define MAPD_FRK_27		3372
#define MAPD_FRK_28		3373
#define MAPD_FRK_29		3374
#define MAPD_FRK_2A		3375
#define MAPD_FRK_2B		3376
#define MAPD_FRK_2C		3377
#define MAPD_FRK_2D		3378
#define MAPD_FRK_2E		3379
#define MAPD_FRK_2F		3380
#define MAPD_FRK_3		3381
#define MAPD_FRK_30		3382
#define MAPD_FRK_31		3383
#define MAPD_FRK_32		3384
#define MAPD_FRK_33		3385
#define MAPD_FRK_34		3386
#define MAPD_FRK_35		3387
#define MAPD_FRK_36		3388
#define MAPD_FRK_37		3389
#define MAPD_FRK_38		3390
#define MAPD_FRK_39		3391
#define MAPD_FRK_3A		3392
#define MAPD_FRK_3B		3393
#define MAPD_FRK_3C		3394
#define MAPD_FRK_3D		3395
#define MAPD_FRK_3E		3396
#define MAPD_FRK_3F		3397
#define MAPD_FRK_4		3398
#define MAPD_FRK_40		3399
#define MAPD_FRK_41		3400
#define MAPD_FRK_42		3401
#define MAPD_FRK_43		3402
#define MAPD_FRK_44		3403
#define MAPD_FRK_45		3404
#define MAPD_FRK_46		3405
#define MAPD_FRK_47		3406
#define MAPD_FRK_48		3407
#define MAPD_FRK_49		3408
#define MAPD_FRK_4A		3409
#define MAPD_FRK_4B		3410
#define MAPD_FRK_4C		3411
#define MAPD_FRK_4D		3412
#define MAPD_FRK_4E		3413
#define MAPD_FRK_4F		3414
#define MAPD_FRK_5		3415
#define MAPD_FRK_50		3416
#define MAPD_FRK_51		3417
#define MAPD_FRK_52		3418
#define MAPD_FRK_53		3419
#define MAPD_FRK_54		3420
#define MAPD_FRK_55		3421
#define MAPD_FRK_56		3422
#define MAPD_FRK_57		3423
#define MAPD_FRK_58		3424
#define MAPD_FRK_59		3425
#define MAPD_FRK_5A		3426
#define MAPD_FRK_5B		3427
#define MAPD_FRK_5C		3428
#define MAPD_FRK_5D		3429
#define MAPD_FRK_5E		3430
#define MAPD_FRK_5F		3431
#define MAPD_FRK_6		3432
#define MAPD_FRK_60		3433
#define MAPD_FRK_61		3434
#define MAPD_FRK_62		3435
#define MAPD_FRK_63		3436
#define MAPD_FRK_64		3437
#define MAPD_FRK_65		3438
#define MAPD_FRK_66		3439
#define MAPD_FRK_67		3440
#define MAPD_FRK_68		3441
#define MAPD_FRK_69		3442
#define MAPD_FRK_6A		3443
#define MAPD_FRK_6B		3444
#define MAPD_FRK_6C		3445
#define MAPD_FRK_7		3446
#define MAPD_FRK_8		3447
#define MAPD_FRK_9		3448
#define MAPD_FRK_A		3449
#define MAPD_FRK_B		3450
#define MAPD_FRK_C		3451
#define MAPD_FRK_D		3452
#define MAPD_FRK_E		3453
#define MAPD_FRK_F		3454

#define MAPD_END_NUMBER		3454	// Equal to the previous map
#define MAPD_SIZE	(1+MAPD_END_NUMBER - MAPD_START_NUMBER)

extern MAP_RESOURCE_DATA MethaneMapData[MAPD_SIZE];

#endif

